/*
* 智能机浏览器版本信息:
*
*/
 	var browser={
    versions:function(){ 
           var u = navigator.userAgent, app = navigator.appVersion; 
           return {//移动终端浏览器版本信息 
                trident: u.indexOf('Trident') > -1, //IE内核
                presto: u.indexOf('Presto') > -1, //opera内核
                webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
                mobile: !!u.match(/AppleWebKit.*Mobile.*/)||!!u.match(/AppleWebKit/), //是否为移动终端
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
                iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
                iPad: u.indexOf('iPad') > -1, //是否iPad
                webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
            };
         }(),
         language:(navigator.browserLanguage || navigator.language).toLowerCase()
}
var config={};
config.g_url="http://player.kuwo.cn/webmusic/ipadinfo";
config.DT_URL="http://player.kuwo.cn/webmusic/sj/dtflagdate";
config.g_flag=1;
config.isLoading=false;
config.iosflag=-1;//1为首页树
config.g_maxw=1024;
config.g_minw=768;
config.iscache=3600000;
config.debug=1;
config.pageflag=0;//1为喜欢歌单页,2为本地列表
config.lasturl="";
config.divId="";
config.isplayhtml='<img src="img/isplay.png" style="display:none;"/>';
config.pagepn=100;
config.ipadver=2;
config.ipadpn=7;
var g_click_flag=1;
var focus_click_flag=1;
config.tplaylst=[];
config.playstatus={};
config.isloadma=0;
config.lastjumpStr='';
config.ismyjump=false;
config.arpadinfo={}
config.stopBubble=function(e){
	if(window.event && window.event.cancelBubble){
		window.event.cancelBubble = true;
	} 
	if (e && e.stopPropagation){
		e.stopPropagation();
	}
}
var kuwo={
	jsonp:function(url,data,success,error){
		var add  = /\?/.test( url ) ? "&" : "?";
           var script =  document.createElement("script");
		script.jsonp = 1;
		var url = url + add + data;
           script.src = url;
		script.onload = script.onreadystatechange = function(){
             if( -[1,] || /loaded|complete/i.test(this.readyState)){
              kuwo.removeScript(script);
             }
			 window.kwmusichd.onPageLoaded(true,url);
           }
           script.onerror = function(){
		  	  requestErr();
			  window.kwmusichd.onPageLoaded(false,url);
              kuwo.removeScript(script);
           }
           var head = document.getElementsByTagName("head")[0];
           head.appendChild(script);
	},
	removeScript: function(script){
         if(typeof script.jsonp === "undefined" ){
			alert("请求出错");
         }
         if (script.clearAttributes) {
           script.clearAttributes();
         } else {
           script.onload = script.onreadystatechange = script.onerror = null;
         }
         script.parentNode.removeChild(script);
     }
}
function c_init(){
	loadServerConfig();
	showLocalLst('bdgc',1);
}
function stopEvent(e){
	config.stopBubble(e);
}
function commHideDiv(flag){
	window.scrollTo(0,0);
	if(flag==1){
		$("#ipadListId,#editBtnId,#bdwjjId").hide();
		$("#myCanId").show();
	}else if(2==flag){
		$("#myCanId,#editBtnId,#bdwjjId").hide();
		$("#ipadListId").show();
	}else if(3==flag){
		$("#myCanId,#editBtnId,#ipadListId").hide();
		$("#bdwjjId").show();
	}
}
//点击事件时告知客户端并存储参数
function myJump(jumpstr){
	config.lastjumpStr=jumpstr;
	var obj={};
	obj.url=encodeURIComponent(jumpstr);
	savegbvalue(obj,2);
}
function clearwebbg(){
	var html=[];
	for(var i=0;i<1000;i++){
		html[html.length]="&nbsp;<br/>";
	}
	$("#commbdhcId").html(html.join(""));
}
function showDownPLst(flag){
	commHideDiv(2);
	if(1==flag){
		$("#downedSongPid").removeClass("aNow");
		$("#downingSongPid").addClass("aNow");
		commgetlsttype(5);
		getDataList(5);
	}else if(2==flag){
		$("#downingSongPid").removeClass("aNow");
		$("#downedSongPid").addClass("aNow");
		commgetlsttype(4);
		getDataList(4);
	}
	if(config.ismyjump){
		config.ismyjump = false;
	}else{
		myJump('showDownPLst("'+flag+'")');
	}
}
function showBdPLst(flag){
	commHideDiv(3);
	if(1==flag){
		$("#bdartId").removeClass("aNow");
		$("#bdsongId").addClass("aNow");
		commgetlsttype(6);
		getDataList(6);
	}else if(2==flag){
		$("#bdsongId").removeClass("aNow");
		$("#bdartId").addClass("aNow");
		commgetlsttype(7);
		getDataList(7);
	}
	if(config.ismyjump){
		config.ismyjump = false;
	}else{
		myJump('showBdPLst("'+flag+'")');
	}
}
function loadServerConfig(){
	$.ajax({
		'type' : 'GET',
		'url' : 'http://player.kuwo.cn/webmusic/common/config_ipad.jsp',
		'data' : "flag=1",
		'success' : loadConfig,
		'error' : Err
	});
}
function Err(){
}
function loadConfig(data){
	if(data!=""){
		var obj = eval('('+data+')');
		config.iscache=obj.iscache;
	}
}
//2为毫秒数
function getDate(flag){
  var dateTime=new Date();
  var yy=dateTime.getFullYear();
  var MM=dateTime.getMonth()+1;  //因为1月这个方法返回为0，所以加1
  var dd=dateTime.getDate();
  var week=dateTime.getDay();
  var hh=dateTime.getHours();
  if(flag==1){
  		return yy+""+MM+""+dd;
  }else if(flag==2){
	return dateTime.getTime();
  }
  return yy+""+MM+""+dd+""+hh;
}
function commgetlsttype(flag,pageflag){
	config.ptypeflag=flag;
	try{
		clearTimeout(config.autotime);
		config.isloadma=0;
	}catch(e){}
	var obj={};
	obj.listtype=flag;
	if(pageflag!=1){
		isdowningpage(obj);
	}
}
function notis(str){
	return '<img src="img/wuhuancun.png" class="wuhuancun"><p class="wup notis">'+str+'</p>';
}
//播放我的电台
function qcplaydt(dtstr,pic){
	var params=dtstr.split(",");
	var pic1 = "http://img1.kwcdn.kuwo.cn:81/star/tags"+params[2];
	var pic2 = "http://img1.kwcdn.kuwo.cn:81/star/tags"+params[3];
	var obj={"dtid":params[0],"dtname":params[1],"dtpic":pic};
	playdt(obj);
}
function getDtobjbyid(dtid){
	var G_dtobj=null;
	if(config.hisdtlst.dtlist || config.hisdtlst.dtlist.length>0){
		var len=config.hisdtlst.dtlist.length;
		for(var i=0;i<len;i++){
			var dtobj=config.hisdtlst.dtlist[i];
			if(dtobj.dtid==dtid){
				G_dtobj=dtobj;
				G_dtobj.listindex=i;
				break;
			}
		}
	}
	return G_dtobj;
}
//播放喜欢的歌单
function hisplaygedan(index){
	if(config.editdting){
		return;
	}
	var gdobj=config.g_gedanlst.gedanlist[index];
	config.playingpid=gdobj.pid;
	gdobj.index=0;
	var jsonstr=$.toJSON(gdobj);
	
	playgd(jsonstr);
	try{$("#gdplay"+config.lastplayingpid).hide();}catch(e){}
	try{$("#gdplay"+gdobj.pid).show();}catch(e){}
	config.lastplayingpid=gdobj.pid;
}
//喜欢歌单
function scgedan(){
	var pobj=config.scgdmlst;
	var jsonstr=$.toJSON(pobj);
	comm_sys_method(jsonstr,"sys_favor_songlist");
}
//通过pid得到歌单
function getGdbypid(arr,pid){
	var G_pobj=null;
	if(arr || arr.length>0){
		var len=arr.length;
		for(var i=0;i<len;i++){
			var pobj=arr[i];
			if(pobj.pid==pid){
				G_pobj=pobj;
				G_pobj.listindex=i;
				break;
			}
		}
	}
	return G_pobj;
}
//喜欢单曲
function scsong(flag,obj,e){
	var mobj=null;
	var G_Lst={};
	var index=$(obj).parent().index();
	mobj=config.tplaylst.musiclist[index];
	G_Lst.music=mobj;
	sys_favor_song(G_Lst);
	config.stopBubble(e);
}
function clickbtn(flag,type,index,e){
	var m={};
	if(type==7){
		var mobj=config.scgdmlst.musiclist[index];
		m.musicrid=mobj.id;
		m.name=mobj.name;
		m.artist=mobj.artist;
		m.album=mobj.album;
		m.artistid=mobj.artistid;
		m.formats=mobj.formats;
	}else if(type==21){
		var mobj=config.alubmmlst.musiclist[index];
		m.musicrid=mobj.id;
		m.name=mobj.name;
		m.artist=mobj.artist;
		m.artistid=mobj.artistid;
		m.album=config.alubmmlst.name;
		m.formats=mobj.formats;
	}else if(type==22){
		var mobj=config.phpmlst.musiclist[index];
		m.musicrid=mobj.id;
		m.name=mobj.name;
		m.artist=mobj.artist;
		m.album=mobj.album;
		m.artistid=mobj.artistid;
		m.formats=mobj.formats;
	}else if(type==23){
		var mobj=config.artmlst.musiclist[index];
		m=mobj;
	}else if(type==24){
		var mobj=config.dqsearchmlst.abslist[index];
		m.musicrid=mobj.MUSICRID.split("_")[1];
		m.name=mobj.NAME;
		m.artist=mobj.ARTIST;
		m.album=mobj.ALBUM;
		m.artistid=mobj.ARTISTID;
		m.formats=mobj.FORMATS;
	}
	var wobj={};
	wobj.music=m;
	if(1==flag){//喜欢
		sys_favor_song(wobj);
	}else if(2==flag){
		//fs(1,m.musicrid,m.name,e);
		sys_fs(wobj);
	}
	config.stopBubble(e);
}
//分享
function fs(flag,rid,name,e){
	if(rid==-1){
		rid="0";
	}
	if(rid.indexOf('MUSIC_')<0){
		rid="MUSIC_"+rid;
	}
	//var url="http://v.t.sina.com.cn/share/share.php?url="+encodeURIComponent("http://player.kuwo.cn/webmusic/play?mid="+rid)+"&title="+encodeURIComponent("时光荏苒，什么都会改变，却唯独音乐不会变，这首好听的《"+name+"》送给所有人(分享自@酷我音乐)。")+"&appkey=2972927130";
	var url="http://player.kuwo.cn/webmusic/fs/mobile/share_arpad.htm?rid="+rid+"&name="+encodeURIComponent(name);
	var obj={};
	obj.url=url;
	sys_fs(obj);
	config.stopBubble(e);
}
//通过rid得到对象
function hisMlstbyrid(arr,rid){
	var G_mobj=null;
	if(arr || arr.length>0){
		var len=arr.length;
		for(var i=0;i<len;i++){
			var mobj=arr[i];
			if(mobj.musicrid==rid){
				G_mobj=mobj;
				G_mobj.listindex=i;
				break;
			}
		}
	}
	return G_mobj;
}
//下载歌曲
function dsong(flag,obj,e){
	var mobj=null;
	var G_Lst={};
	var index=$(obj).parent().index();
	if(flag==1 || flag==2){
		mobj=config.tplaylst.musiclist[index];
	}
	G_Lst.musiclist=[mobj];
	downSong(G_Lst);
	config.stopBubble(e);
}
function selcheck(obj,e){
	$(obj).find("input").attr("checked",!$(obj).find("input").attr("checked"));
	var checkarr=$(obj).parent().parent().find("input");
	var isqs=true;
	for(var i=0;i<checkarr.length;i++){
		if(checkarr[i].checked==false){
			isqs=false;
			break;
		}
	}
	$(obj).parent().parent().prev().find("input").attr("checked",isqs);
	config.stopBubble(e);
}
function clearBubble(e){
	config.stopBubble(e);
}
//通用播放歌曲
function commplaysong(type,index,flag,playtype,e){
	var jsonstr="";
	var pobj={};
	//pobj.listtype=type;
	var G_mLst=new Array();
	if(type==7){
		//pobj.id=config.scgdmlst.id;
		if("dq"==playtype){
			var mobj=config.scgdmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=mobj.album;
			m.artistid=mobj.artistid;
			m.formats=mobj.formats;
			G_mLst.push(m);
		}else{
			var inputarr=gedanObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.scgdmlst.musiclist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.id;
					m.name=mobj.name;
					m.artist=mobj.artist;
					m.album=mobj.album;
					m.artistid=mobj.artistid;
					m.formats=mobj.formats;
					G_mLst.push(m);
				}
			}	
		}
		pobj.musiclist=G_mLst;
	}else if(type==24){
		pobj.title=decodeURIComponent(config.keyobj.keyword);
		if("dq"==playtype){
			var mobj=config.dqsearchmlst.abslist[index];
			var m={};
			m.musicrid=mobj.MUSICRID.split("_")[1];
			m.name=mobj.NAME;
			m.artist=mobj.ARTIST;
			m.album=mobj.ALBUM;
			m.artistid=mobj.ARTISTID;
			m.formats=mobj.FORMATS;
			G_mLst.push(m);
		}else{
			var inputarr=searchObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.dqsearchmlst.abslist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.MUSICRID.split("_")[1];
					m.name=mobj.NAME;
					m.artist=mobj.ARTIST;
					m.album=mobj.ALBUM;
					m.artistid=mobj.ARTISTID;
					m.formats=mobj.FORMATS;
					G_mLst.push(m);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==23){
		if("dq"==playtype){
			var mobj=config.artmlst.musiclist[index];
			G_mLst.push(mobj);
		}else{
			var inputarr=artistObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.artmlst.musiclist[inputarr[i].value];
					G_mLst.push(mobj);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==21){//专辑
		if("dq"==playtype){
			var mobj=config.alubmmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=config.alubmmlst.name;
			m.artistid=mobj.artistid;
			m.formats=mobj.formats;
			G_mLst.push(m);
		}else{
			var inputarr=albumObj.find(".con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.alubmmlst.musiclist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.id;
					m.name=mobj.name;
					m.artist=mobj.artist;
					m.album=config.alubmmlst.name;
					m.artistid=mobj.artistid;
					m.formats=mobj.formats;
					G_mLst.push(m);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==22){
		if("dq"==playtype){
			var mobj=config.phpmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=mobj.album;
			m.artistid=mobj.artistid;
			m.formats=mobj.formats;
			G_mLst.push(m);
		}else{
			var inputarr=$(".phb_con .con_right .con_rightlist input");
			for(var i=0;i<inputarr.length;i++){
				if(inputarr[i].checked==true){
					var mobj=config.phpmlst.musiclist[inputarr[i].value];
					var m={};
					m.musicrid=mobj.id;
					m.name=mobj.name;
					m.artist=mobj.artist;
					m.album=mobj.album;
					m.artistid=mobj.artistid;
					m.formats=mobj.formats;
					G_mLst.push(m);
				}
			}
		}
		pobj.musiclist=G_mLst;
	}else if(type==51){
		if("dq"==playtype){
			var mobj=config.scgdmlst.musiclist[index];
			var m={};
			m.musicrid=mobj.id;
			m.name=mobj.name;
			m.artist=mobj.artist;
			m.album=mobj.album;
			m.formats=mobj.formats;
			G_mLst.push(m);
		}
		pobj.musiclist=G_mLst;
	}else if(type==52){
		if("dq"==playtype){
			var mobj=config.searchmvlst.abslist[index];
			var m={};
			m.musicrid=mobj.MUSICRID.split("_")[1];
			m.name=mobj.SONGNAME;
			m.artist=mobj.ARTIST;
			m.album=mobj.ALBUM;
			m.formats=mobj.FORMATS;
			G_mLst.push(m);
		}
		pobj.musiclist=G_mLst;
	}
	if(!pobj.musiclist || pobj.musiclist.length==0){
		sys_toast("请选择歌曲");
		return;
	}
	if(1==flag){
		playSong(pobj);
	}else if(2==flag){
		addSong(pobj);
	}else if(3==flag){
		downSong(pobj);
	}else if(4==flag){
		playMv(pobj);
	}
	config.stopBubble(e);
}
function callNative(json){
	if(window.kwmusichd){
		 window.kwmusichd.jsCallNative(json);
	}
}
var hoverTimeout=null;
var lastselobj=null;
function commbtn(obj,flag,sflag,e){
	if(1==flag){
		hoverTimeout=setTimeout(function () {
			if(lastselobj!=null)try{obj.style.background="none";}catch(e){}
			lastselobj=obj;
			obj.style.background="#E7E3E4";
		}, 80);
	}else if(2==flag){
		if(hoverTimeout!=null)clearTimeout(hoverTimeout);
		obj.style.background="none";
	}
	if(sflag==1){
		config.stopBubble(e);
	}
}
function ysbtn(obj,flag){
	if(1==flag){
		hoverTimeout=setTimeout(function () {
			if(lastselobj!=null)try{obj.style.background="#3BC4EE";}catch(e){}
			lastselobj=obj;
			obj.style.background="#FFC600";
		}, 80);
	}else if(2==flag){
		if(hoverTimeout!=null)clearTimeout(hoverTimeout);
		obj.style.background="#3BC4EE";
	}
}